{{- if .Values.enabled }}
apiVersion: kibana.k8s.elastic.co/v1
kind: Kibana
metadata:
  name: kibana-{{ .Values.env }}
  namespace: monitoring
spec:
  version: 8.12.0
  count: 1
  elasticsearchRef:
    name: elasticsearch-{{ .Values.env }}
  config:
    xpack.security.authc.providers:
      basic.basic1:
        order: 0
  http:
    tls:
      selfSignedCertificate:
        disabled: true
    service:
      spec:
        type: ClusterIP
{{- end }}